Skip to main content
GET
/
humanverification
/
verify-page
/
{recordVerificationId}
curl https://api.yourservice.com/api/v1/humanverification/verify-page/ver_live_abc123
{
  "success": true,
  "data": {
    "recordVerificationId": "ver_live_abc123",
    "endorserInfo": {
      "name": "Priya Sharma",
      "company": "TechCorp",
      "email": "priya.sharma@techcorp.com"
    },
    "requesterInfo": {
      "name": "Arun Kumar",
      "email": "arun@example.com",
      "externalStudentId": "student_123"
    },
    "source": {
      "type": "experience",
      "title": "Frontend Developer",
      "subtitle": "TechCorp",
      "meta": "Jun 2022 – Jan 2023",
      "description": "Dashboard UI development"
    },
    "skills": [
      {
        "skillId": "skill_001",
        "name": "React",
        "proofUrl": ["https://github.com/user/project"]
      }
    ]
  },
  "executionTime": "95ms"
}
Returns skills, source context, student info, reviewer info, and endorsement type. Source context is normalised into a single source object regardless of whether the source is a project, experience, or certificate.
No authentication required. Accessed from the reviewer’s email link.

Path Parameters

recordVerificationId
string
required
The verification session ID.

Source Object — type Values

source.typeWhen Used
experienceSource is a work experience entry
projectSource is a project
certificateSource is a certificate
Priority order: experienceprojectcertificate.
curl https://api.yourservice.com/api/v1/humanverification/verify-page/ver_live_abc123
{
  "success": true,
  "data": {
    "recordVerificationId": "ver_live_abc123",
    "endorserInfo": {
      "name": "Priya Sharma",
      "company": "TechCorp",
      "email": "priya.sharma@techcorp.com"
    },
    "requesterInfo": {
      "name": "Arun Kumar",
      "email": "arun@example.com",
      "externalStudentId": "student_123"
    },
    "source": {
      "type": "experience",
      "title": "Frontend Developer",
      "subtitle": "TechCorp",
      "meta": "Jun 2022 – Jan 2023",
      "description": "Dashboard UI development"
    },
    "skills": [
      {
        "skillId": "skill_001",
        "name": "React",
        "proofUrl": ["https://github.com/user/project"]
      }
    ]
  },
  "executionTime": "95ms"
}